{% extends "base.html" %}

{% block title %}{{ benevole }}{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item"><a href="{% url 'benevoles' app %}">{{ labels.breadcrumb1 }}</a></li>
<li class="breadcrumb-item active" aria-current="page">{{ benevole.get_full_name|default:labels.breadcrumb2 }}</li>
{% endblock %}

{% block content %}

    {% if benevole %}
        {% include 'benevole/benevole_tabs.html' with active='edition' %}
    {% endif %}

    {% if form.instance.pk and form.instance.courriel and not form.instance.utilisateur %}
    <div class="float-end mt-2 ms-4">
        <form method="post" action="{% url 'benevole-new-account' app form.instance.pk %}">
          {% csrf_token %}
          <button class="btn btn-primary" data-bs-toggle="tooltip"
                  data-confirm="Voulez-vous vraiment créer un compte et envoyer un mot de passe à cette personne ?"
                  title="Créer un compte utilisateur pour que le bénévole puisse se connecter aux applications">
              Créer un compte
          </button>
        </form>
    </div>
    {% endif %}

    {% block below_tabs %}
    {% if app == 'transport' and preferences %}
    <div class="row mt-3 pt-2 border-top">
        <div class="col-3 fw-bold">Préferences/incompatibilités :</div>
        <div class="col-6">
            {% for pref in preferences %}
                <div>
                    {{ pref.get_typ_display }}: {{ pref.client }}{% if pref.remarque %}, {{ pref.remarque }}{% endif %}
                </div>
            {% endfor %}
        </div>
    </div>
    {% endif %}
    {% endblock %}

    {% if form.errors or form.formset.errors %}
    <div class="alert alert-danger alert-dismissible">
        Le formulaire contient des erreurs, veuillez les corriger avant d'enregistrer à nouveau.
    </div>
    {% endif %}
    <p>{{ form.non_field_errors }}</p>
    <form method="post" action="{{ request.path }}" autocomplete="off">{% csrf_token %}
        <div class="row mb-2">
          <div class="col">
            <div class="form-group">
                {{ form.nom.label_tag }} {{ form.nom.errors }} {{ form.nom }}
            </div>
          </div>
          <div class="col">
            <div class="form-group">
                {{ form.prenom.label_tag }} {{ form.prenom.errors }} {{ form.prenom }}
            </div>
          </div>
        </div>

        {% if not form.instance.pk %}
        <div id="doublons" data-url="{% url 'benevole-autocomplete' 'tous' %}" hidden>
            <div>Doublons possibles :</div>
            <ul id="doublons_content"></ul>
        </div>
        {% endif %}

        <div class="row mb-2">
          <div class="col">
            <div class="form-group">
                {{ form.genre.label_tag }} {{ form.genre.errors }} {{ form.genre }}
            </div>
          </div>
          <div class="col">
            <div class="form-group">
                {{ form.date_naissance.label_tag }} {{ form.date_naissance.errors }} {{ form.date_naissance }}
            </div>
          </div>
        </div>

        <div class="form-group mb-2">
        {{ form.rue.label_tag }} {{ form.rue.errors }} {{ form.rue }}
        </div>

        <div class="form-group mb-2">
          {# hidden #}{{ form.npa }} {{ form.localite }}
          {{ form.npalocalite.label_tag }}{{ form.npalocalite.errors }}{{ form.npalocalite }}
        </div>

        <div class="row mb-2">
          <div class="col">
            <div class="form-group">
                {{ form.tel_prive.label_tag }} {{ form.tel_prive.errors }} {{ form.tel_prive }}
            </div>
          </div>
          <div class="col">
            <div class="form-group">
                {{ form.tel_mobile.label_tag }} {{ form.tel_mobile.errors }} {{ form.tel_mobile }}
            </div>
          </div>
        </div>
        <div class="form-group mb-2 col-6">
            {{ form.tel_prof.label_tag }} {{ form.tel_prof.errors }} {{ form.tel_prof }}
        </div>

        <div class="form-group mb-2">
            {{ form.courriel.label_tag }}
            <span class="help_icon">
                <img class="icon" src="{% static 'img/help.svg' %}" data-bs-toggle="tooltip"
                     title="Cette adresse de courriel est utilisée aussi comme nom d'utilisateur pour la connexion aux applications bénévoles. Avertissez le bénévole en cas de modification.">
            </span>
            {{ form.courriel.errors }} {{ form.courriel }}
        </div>

        <div class="row mb-2">
          <div class="col">
            <div class="form-group">
                {{ form.formation.label_tag }} {{ form.formation.errors }} {{ form.formation }}
            </div>
          </div>
          <div class="col">
            <div class="form-group">
                {{ form.no_debiteur.label_tag }} {{ form.no_debiteur.errors }} {{ form.no_debiteur }}
            </div>
          </div>
        </div>

        <div class="row mb-2">
          <div class="col">
            <div class="form-group">
                {{ form.langues.label_tag }} {{ form.langues.errors }} {{ form.langues }}
            </div>
          </div>
          {% if form.incompats %}
          <div class="col">
            <div class="form-group">
                {{ form.incompats.label_tag }} {{ form.incompats.errors }} {{ form.incompats }}
            </div>
          </div>
          {% endif %}
        </div>

        <div class="row mb-2 align-items-end">
          <div class="col">
            <div class="form-group">
                {{ form.absences.label_tag }} {{ form.absences.errors }} {{ form.absences }}
            </div>
          </div>
        </div>

        {% if form.no_plaques %}
        <div class="row mb-2">
          <div class="col">
            <div class="form-group">
                {{ form.no_plaques.label_tag }} {{ form.no_plaques.errors }} {{ form.no_plaques }}
            </div>
          </div>
          <div class="col">
            <div class="form-group">
                {{ form.macaron_depuis.label_tag }} {{ form.macaron_depuis.errors }} {{ form.macaron_depuis }}
            </div>
          </div>
        </div>
        {% endif %}

        <div class="form-group mb-2">
        {{ form.remarques.label_tag }} {{ form.remarques.errors }} {{ form.remarques }}
        </div>

        <h3>Activités</h3>
        <div>
            {{ form.formset.management_form.as_div }}
            {% for subform in form.formset %}
            <div class="border border-2 mt-2 p-3 rounded fset-line{% if subform.instance.fin %} terminee{% endif %}">
                {% for hidden in subform.hidden_fields %}{{ hidden }}{{ hidden.errors }}{% endfor %}
                {{ subform.non_field_errors }}
                <div class="row">
                    <div class="col">{{ subform.activite }}{{ subform.activite.errors }}</div>
                    <div class="col-auto pt-2">{{ subform.debut.label_tag }}</div>
                    <div class="col">
                        {{ subform.debut }}{{ subform.debut.errors }}
                    </div>
                    <div class="col-auto pt-2">{{ subform.fin.label_tag }}</div>
                    <div class="col">
                        {{ subform.fin }}{{ subform.fin.errors }}
                    </div>
                </div>
                <div class="row mt-2">
                    <div class="col-auto">{{ subform.inactif }} {{ subform.inactif.label_tag|strip_colon }}</div>
                    <div class="col">{{ subform.note.label_tag }}{{ subform.note }}</div>
                </div>
            </div>
            {% endfor %}
        </div>

        <div class="d-flex justify-content-between mt-2">
            <div></div>
            <button type="submit" class="btn btn-primary">Enregistrer</button>
        </div>
    </form>
{% endblock %}
